# Gaussian HF single point energy

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")


gaussian = Gaussian(frag=water, method="hf", basis="3-21g")

# TODO: sp = SP(theory=gaussian, frag=water)
sp = SP(theory=gaussian, gradients=True)

sp.run()

ecalc = sp.result.energy

# Test result
# NWChem
eref = -75.58528778
# Tcl-ChemShell/Gaussian16
eref = -7.55852876113000e+01


testutils.validate(ecalc, eref)
